Visit API

post /visits/close

Close or cancel a visit

Base URL https://api.vseepreview.com/api_v3 · operationId closeVisit

Authentication: User Token — Requires a user access token from login or SSO.

Close, cancel, or end a visit or appointment

Parameters

NameInTypeRequiredEnumDefaultDescription
X-ApiTokenheaderstringyesAPI token (e.g. your_api_token)
X-AccountCodeheaderstringyesAccount code (e.g. vclinic)
idquerystringyesThe ID of the visit/appointment (e.g. 14)
reasonquerystringnoReason for closing. Options: patient_end_call, patient_exit_room, call_ended, patient_cancel_appointment, max_waiting_time_reached (e.g. patient_end_call)

Responses

200 — Visit closed successfully

Visit closed — Successfully closed visit

{
  "data": {
    "id": "1525"
  }
}

401 — Unauthorized

{
  "error": "Unauthorized",
  "message": "Invalid or missing API token"
}

Machine-readable: OpenAPI JSON (operationId: closeVisit)